<?php
session_start();
require_once ("../../config/Cado.php");
?>


	
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Nota de debito
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Operaciónes</li>
				<li class="breadcrumb-item active">Nota de debito</li>
            </ol>
          </div>
		</div>
	</div>
</div>

<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;">
		    <div class="card">
		        <div class="card-header">
		          <button id="btn_agregar" onClick="notadebito_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" onClick="notadebito_vista()" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>

	
	


	<!-- busqueda de registro -->
	<div id="div_notadebito_filtro"></div>
	 
	<!-- LISTADO DE REGISTROS -->
	<div id="div_notadebito_tabla" ></div>
			
			
			<!-- formulario de vista -->
			<div class="modal fade" id="div_venta_form_dialog_vista" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog modal-lg"  role="document" >
			<div class="modal-body div_venta_form_vista" >

			</div>
			<br />
			<br />
			</div>
			
			</div>
			
			
			<!--MODAL PARA CORREO ELECTRONICOS-->
				
			<div class="modal fade" id="div_venta_correo_form" role="dialog" data-keyboard="false" data-backdrop="static" style="padding:0px; overflow-y:scroll ">
			<div class="modal-dialog modal-lg"  >

			<div class="modal-content">

			<div class="modal-body div_venta_correo_conten" style="padding:0px;"   >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			




<script type="text/javascript">

	function notadebito_filtro()
	{
		$.ajax({
			type: "POST",
			url: "../notadebito/notadebito_filtro.php",
			async:true,
			dataType: "html",                      
			data: ({
				
			}),
			beforeSend: function() {
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				
				$('#div_notadebito_filtro').html(div);
			},
			success: function(html){
				$('#div_notadebito_filtro').html(html);
			},
			complete: function(){
				
			}
		});
	}
	
	function notadebito_tabla()
	{
		$.ajax({
			type: "POST",
			url: '../notadebito/notadebito_tabla.php',
			async:true,
			dataType: "html",                      
			data: $("#for_fil_notcre").serialize(),
			beforeSend: function(){
				
				$('#div_notadebito_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_notadebito_tabla').html(html);
			},
			complete: function(){			
				$('#div_notadebito_tabla').removeClass("ui-state-disabled");
			
			}
		});     
	}
	
	
	
	function notadebito_form(act){		
		$('#div_venta_form_dialog_vista').modal();
		$.ajax({
			type: "POST",
			url: "../notadebito/notadebito_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act
			}),
			beforeSend: function() {
				var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";				
				$('.div_venta_form_vista').html(div); 
			},
			success: function(html){
				$('.div_venta_form_vista').html(html);	
			},
			complete: function(){
			}
		});
	}
	
	///ENVIAR A SUNAT LA NOTA DE DEBITO


function notadebito_ticket_datos(notdebid,venid){
		
		$.ajax({
			type: "POST",
			url: "../notadebito/notadebito_ticket_datos.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			venid: venid,
			notdebid: notdebid
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				console.log(data);
				
				if(data!=""){					
					generarNotadebito_xml(data,data.url_gennotdeb,data.emp_ruc,data.notdeb_numdoc,venid,notdebid,data.cli_id);	
				}else{
					
				}
			}
		});
}

function generarNotadebito_xml(data,url,emp_ruc,numdoc,venid,notdebid,cliid){
	$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "json",                      
		data: data,
		beforeSend: function()
		{
			
		},
		success: function(data){
				
		firmar(data.url,data.arc,emp_ruc,numdoc,data.tipcom,venid,notdebid,cliid);
		
		}
	});
}
	
function firmar(url,arc,emp_ruc,ven_numdoc,tipcom,venid,notdebid,cliid){
		/* alert(url); */
		$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "json",                      
		data: ({
			arc : arc,
			emp_ruc : emp_ruc,
			ven_numdoc:ven_numdoc,
			tipcom:tipcom,
			venid:notdebid
		}),
		beforeSend: function()
		{
			
		},
		success: function(data){			
				//enviarSunat(data.fil_name_zip,data.fil_name,data.fil_name_fac,tipcom,venid,notcreid,data.fil_name_xml);
				enviarSunat(data.xml_nom,data.fil_name_zip,data.fil_name_xml,data.filenom,venid,notdebid,tipcom,cliid,emp_ruc);
				generar_pdf_notdebito(notdebid);
		}
	});

}



function generar_pdf_notdebito(notdebid){	
		$.ajax({
			type: "GET",
			url: "../notadebito/notadebito_generar_doc.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			notid: notdebid
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				
				}
		});
	
	}	



function enviarSunat(nomxml,fil_name_zip,fil_name_xml,filenom,venid,notdebid,tipcom,cliid,emp_ruc){
		$.ajax({
		type: "POST",
		url: '../../docgeneracion/enviosunat.php',
		async:true,
		dataType: "json",                      
		data: ({
			nomxml:nomxml,
			name_zip:fil_name_zip,
			nomfile:filenom,
			id_ven : notdebid,
			xmlarchivo:fil_name_xml,
			tipcom:tipcom,
			emp_ruc:emp_ruc
		}),
		beforeSend: function()
		{
			toastr["error"]('Esperando respuesta de sunat');
		},
		success: function(data){
			
			if(data.est==1){
				//actualizarNotacredito(notcreid,fil_name_xml);
				toastr["info"](data.msj);
				traer_datos_doc(venid,notdebid,fil_name_xml);
				//venta_anular(venid);
				enviarCorreo(notdebid,cliid);
				//generar_pdf_notcredito(notcreid);
				notadebito_tabla();
				
			}else{
				toastr["error"]('La nota de debito no ha sido aceptada.');
			}
						
		}
	});

}


function enviar_documentos(venid,ncid,guiaid,cliid,ndid){
	
	$('#div_venta_correo_form').modal();
				
	$.ajax({
			type: "POST",
			url: "../notadebito/documento_correo_form.php",
			async:true,
			dataType: "html",
			data: ({
				venid:venid,
				ncid:ncid,
				guiaid:guiaid,
				cliid:cliid,
				ndid:ndid
			}),
			beforeSend: function() {
				
		var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	
		$('.div_venta_correo_conten').html(div);
	        },
			success: function(html){
				$('.div_venta_correo_conten').html(html);				
			}
		});
	
}

	


function enviarCorreo(notdebid,cliid){
	
	$('#div_venta_correo_form').modal();
				
	$.ajax({
			type: "POST",
			url: "../notadebito/notadebito_correo_form.php",
			async:true,
			dataType: "html",
			data: ({
				notdeb_id:notdebid,
				cli_id:cliid	
			}),
			beforeSend: function() {
				
		var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	
		$('.div_venta_correo_conten').html(div);
	        },
			success: function(html){
				$('.div_venta_correo_conten').html(html);				
			}
		});
	
}

function traer_datos_doc(venid,notdebid,urlxml){
	
	$.ajax({
			type: "POST",
			url: "../notacredito/notacredito_doc_datos.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			venid: venid,
			notdebid: notdebid,
			urlxml :urlxml
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				/* console.log(data); */
			notacredito_doc_impresion(data,data.imp_doc);
			
/* cadsunat = data.emp_ruc+'|'+data.tipcom+'|'+data.ven_serdoc+'|'+data.ven_corrdoc+'|'+data.ven_igv+'|'+data.ven_tot+'|'+data.ven_fec
+'|'+data.tipdoc+'|'+data.cli_numdoc+'|'+data.DigVal+'|'+data.SigVal; */

			/* generarPDF417(data); */

		/* 	if(data.cli_ema==""){
				
			}else{
				act ="enviar";
				enviarCorreo(data);
			}	 */	
			
			}
		});
	
}

function notacredito_doc_impresion(data,url){
	
	$.ajax({
			type: "POST",
			url: url,
			async:true,
			dataType: "json",                      
			data: data ,
			beforeSend: function() {
				console.log(data);
			},
			success: function(data){
				
				
			}
		});
	
}




	
	function notadebito_vista(){
		$("#contenido").load("../notadebito/notadebito_vista.php");		
	}
	
	
$(function() {

	notadebito_filtro();		
	
	$("#div_venta_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
    });
	


	setTitle("NOTA DE DEBITO - "+nombreEmpresa);	
	
}); 	
	
	

</script>
